Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Class DebugException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException
                  org.eclipse.debug.core.DebugException

All Implemented Interfaces:
  Serializable

public class DebugException
extends CoreException

A checked exception representing a failure.

Defines status codes relevant to the debug plug-in. When a debug exception is thrown, it contains a status object describing the cause of the exception. The status objects originating from the debug plug-in use the codes defined in this class.

Clients may instantiate this class. Clients are not intended to subclass this class.

See Also:
  `IStatus`, Serialized Form

Field Summary
`static int` | `CONFIGURATION_INVALID` Indicates an improperly configured breakpoint.
`static int` | `INTERNAL_ERROR` Indicates an internal error.
`static int` | `MISSING_LAUNCH_CONFIGURATION_TYPE` Indicates a launch configuration could not be restored because its launch configuration type definition is missing.
`static int` | `NOT_SUPPORTED` Indicates a request is not supported by the capabilities of a debug element.
`static int` | `REQUEST_FAILED` Indicates that a request made of manager has failed, or a request made of a debug element has failed on the client side (that is, before the request was sent to the debug target).
`static int` | `TARGET_REQUEST_FAILED` Indicates a request made of a debug element has failed on the target side.

Constructor Summary
`DebugException(IStatus status)` Constructs a new debug exception with the given status object.

Methods inherited from class org.eclipse.core.runtime.CoreException
`getStatus, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TARGET_REQUEST_FAILED

    public static final int TARGET_REQUEST_FAILED

  Indicates a request made of a debug element has failed on the target side.

  See Also:
    Constant Field Values

### NOT_SUPPORTED

    public static final int NOT_SUPPORTED

  Indicates a request is not supported by the capabilities of a debug element. For example, a request was made to terminate an element that does not support termination.

  See Also:
    Constant Field Values

### REQUEST_FAILED

    public static final int REQUEST_FAILED

  Indicates that a request made of manager has failed, or a request made of a debug element has failed on the client side (that is, before the request was sent to the debug target).

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Indicates an internal error. This is an unexpected state.

  See Also:
    Constant Field Values

### CONFIGURATION_INVALID

    public static final int CONFIGURATION_INVALID

  Indicates an improperly configured breakpoint. Breakpoints have a minimal set of required attributes as defined by the breakpoint manager.

  See Also:
    `IBreakpointManager`, Constant Field Values

### MISSING_LAUNCH_CONFIGURATION_TYPE

    public static final int MISSING_LAUNCH_CONFIGURATION_TYPE

  Indicates a launch configuration could not be restored because its launch configuration type definition is missing.

  Since:
    3.0
  See Also:
    Constant Field Values

Constructor Detail

### DebugException

    public DebugException(IStatus status)

  Constructs a new debug exception with the given status object.

Parameters:
  `status` - the status object describing this exception
See Also:
  `IStatus`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.